// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0-devel
// 	protoc        v3.13.0
// source: paquetes.proto

package paquetes

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type PaqueteLogistica struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	IDPaquete   string `protobuf:"bytes,1,opt,name=IDPaquete,proto3" json:"IDPaquete,omitempty"`
	Tipo        string `protobuf:"bytes,2,opt,name=Tipo,proto3" json:"Tipo,omitempty"`
	Valor       string `protobuf:"bytes,6,opt,name=Valor,proto3" json:"Valor,omitempty"`
	Seguimiento string `protobuf:"bytes,3,opt,name=Seguimiento,proto3" json:"Seguimiento,omitempty"`
	Intento     string `protobuf:"bytes,4,opt,name=Intento,proto3" json:"Intento,omitempty"`
	Estado      string `protobuf:"bytes,5,opt,name=Estado,proto3" json:"Estado,omitempty"`
	Origen      string `protobuf:"bytes,8,opt,name=Origen,proto3" json:"Origen,omitempty"`
	Destino     string `protobuf:"bytes,7,opt,name=Destino,proto3" json:"Destino,omitempty"`
	Hora        string `protobuf:"bytes,9,opt,name=Hora,proto3" json:"Hora,omitempty"`
}

func (x *PaqueteLogistica) Reset() {
	*x = PaqueteLogistica{}
	if protoimpl.UnsafeEnabled {
		mi := &file_paquetes_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PaqueteLogistica) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PaqueteLogistica) ProtoMessage() {}

func (x *PaqueteLogistica) ProtoReflect() protoreflect.Message {
	mi := &file_paquetes_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PaqueteLogistica.ProtoReflect.Descriptor instead.
func (*PaqueteLogistica) Descriptor() ([]byte, []int) {
	return file_paquetes_proto_rawDescGZIP(), []int{0}
}

func (x *PaqueteLogistica) GetIDPaquete() string {
	if x != nil {
		return x.IDPaquete
	}
	return ""
}

func (x *PaqueteLogistica) GetTipo() string {
	if x != nil {
		return x.Tipo
	}
	return ""
}

func (x *PaqueteLogistica) GetValor() string {
	if x != nil {
		return x.Valor
	}
	return ""
}

func (x *PaqueteLogistica) GetSeguimiento() string {
	if x != nil {
		return x.Seguimiento
	}
	return ""
}

func (x *PaqueteLogistica) GetIntento() string {
	if x != nil {
		return x.Intento
	}
	return ""
}

func (x *PaqueteLogistica) GetEstado() string {
	if x != nil {
		return x.Estado
	}
	return ""
}

func (x *PaqueteLogistica) GetOrigen() string {
	if x != nil {
		return x.Origen
	}
	return ""
}

func (x *PaqueteLogistica) GetDestino() string {
	if x != nil {
		return x.Destino
	}
	return ""
}

func (x *PaqueteLogistica) GetHora() string {
	if x != nil {
		return x.Hora
	}
	return ""
}

var File_paquetes_proto protoreflect.FileDescriptor

var file_paquetes_proto_rawDesc = []byte{
	0x0a, 0x0e, 0x70, 0x61, 0x71, 0x75, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x12, 0x08, 0x70, 0x61, 0x71, 0x75, 0x65, 0x74, 0x65, 0x73, 0x22, 0xf4, 0x01, 0x0a, 0x10, 0x50,
	0x61, 0x71, 0x75, 0x65, 0x74, 0x65, 0x4c, 0x6f, 0x67, 0x69, 0x73, 0x74, 0x69, 0x63, 0x61, 0x12,
	0x1c, 0x0a, 0x09, 0x49, 0x44, 0x50, 0x61, 0x71, 0x75, 0x65, 0x74, 0x65, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x09, 0x49, 0x44, 0x50, 0x61, 0x71, 0x75, 0x65, 0x74, 0x65, 0x12, 0x12, 0x0a,
	0x04, 0x54, 0x69, 0x70, 0x6f, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x54, 0x69, 0x70,
	0x6f, 0x12, 0x14, 0x0a, 0x05, 0x56, 0x61, 0x6c, 0x6f, 0x72, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x05, 0x56, 0x61, 0x6c, 0x6f, 0x72, 0x12, 0x20, 0x0a, 0x0b, 0x53, 0x65, 0x67, 0x75, 0x69,
	0x6d, 0x69, 0x65, 0x6e, 0x74, 0x6f, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x53, 0x65,
	0x67, 0x75, 0x69, 0x6d, 0x69, 0x65, 0x6e, 0x74, 0x6f, 0x12, 0x18, 0x0a, 0x07, 0x49, 0x6e, 0x74,
	0x65, 0x6e, 0x74, 0x6f, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x49, 0x6e, 0x74, 0x65,
	0x6e, 0x74, 0x6f, 0x12, 0x16, 0x0a, 0x06, 0x45, 0x73, 0x74, 0x61, 0x64, 0x6f, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x06, 0x45, 0x73, 0x74, 0x61, 0x64, 0x6f, 0x12, 0x16, 0x0a, 0x06, 0x4f,
	0x72, 0x69, 0x67, 0x65, 0x6e, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x4f, 0x72, 0x69,
	0x67, 0x65, 0x6e, 0x12, 0x18, 0x0a, 0x07, 0x44, 0x65, 0x73, 0x74, 0x69, 0x6e, 0x6f, 0x18, 0x07,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x44, 0x65, 0x73, 0x74, 0x69, 0x6e, 0x6f, 0x12, 0x12, 0x0a,
	0x04, 0x48, 0x6f, 0x72, 0x61, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x48, 0x6f, 0x72,
	0x61, 0x32, 0xa8, 0x01, 0x0a, 0x18, 0x50, 0x61, 0x71, 0x75, 0x65, 0x74, 0x65, 0x73, 0x4c, 0x6f,
	0x67, 0x69, 0x73, 0x74, 0x69, 0x63, 0x61, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x44,
	0x0a, 0x08, 0x53, 0x61, 0x79, 0x48, 0x65, 0x6c, 0x6c, 0x6f, 0x12, 0x1a, 0x2e, 0x70, 0x61, 0x71,
	0x75, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x50, 0x61, 0x71, 0x75, 0x65, 0x74, 0x65, 0x4c, 0x6f, 0x67,
	0x69, 0x73, 0x74, 0x69, 0x63, 0x61, 0x1a, 0x1a, 0x2e, 0x70, 0x61, 0x71, 0x75, 0x65, 0x74, 0x65,
	0x73, 0x2e, 0x50, 0x61, 0x71, 0x75, 0x65, 0x74, 0x65, 0x4c, 0x6f, 0x67, 0x69, 0x73, 0x74, 0x69,
	0x63, 0x61, 0x22, 0x00, 0x12, 0x46, 0x0a, 0x0a, 0x4c, 0x69, 0x73, 0x74, 0x61, 0x45, 0x6e, 0x76,
	0x69, 0x6f, 0x12, 0x1a, 0x2e, 0x70, 0x61, 0x71, 0x75, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x50, 0x61,
	0x71, 0x75, 0x65, 0x74, 0x65, 0x4c, 0x6f, 0x67, 0x69, 0x73, 0x74, 0x69, 0x63, 0x61, 0x1a, 0x1a,
	0x2e, 0x70, 0x61, 0x71, 0x75, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x50, 0x61, 0x71, 0x75, 0x65, 0x74,
	0x65, 0x4c, 0x6f, 0x67, 0x69, 0x73, 0x74, 0x69, 0x63, 0x61, 0x22, 0x00, 0x42, 0x0a, 0x5a, 0x08,
	0x70, 0x61, 0x71, 0x75, 0x65, 0x74, 0x65, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_paquetes_proto_rawDescOnce sync.Once
	file_paquetes_proto_rawDescData = file_paquetes_proto_rawDesc
)

func file_paquetes_proto_rawDescGZIP() []byte {
	file_paquetes_proto_rawDescOnce.Do(func() {
		file_paquetes_proto_rawDescData = protoimpl.X.CompressGZIP(file_paquetes_proto_rawDescData)
	})
	return file_paquetes_proto_rawDescData
}

var file_paquetes_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_paquetes_proto_goTypes = []interface{}{
	(*PaqueteLogistica)(nil), // 0: paquetes.PaqueteLogistica
}
var file_paquetes_proto_depIdxs = []int32{
	0, // 0: paquetes.PaquetesLogisticaService.SayHello:input_type -> paquetes.PaqueteLogistica
	0, // 1: paquetes.PaquetesLogisticaService.ListaEnvio:input_type -> paquetes.PaqueteLogistica
	0, // 2: paquetes.PaquetesLogisticaService.SayHello:output_type -> paquetes.PaqueteLogistica
	0, // 3: paquetes.PaquetesLogisticaService.ListaEnvio:output_type -> paquetes.PaqueteLogistica
	2, // [2:4] is the sub-list for method output_type
	0, // [0:2] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_paquetes_proto_init() }
func file_paquetes_proto_init() {
	if File_paquetes_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_paquetes_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PaqueteLogistica); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_paquetes_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_paquetes_proto_goTypes,
		DependencyIndexes: file_paquetes_proto_depIdxs,
		MessageInfos:      file_paquetes_proto_msgTypes,
	}.Build()
	File_paquetes_proto = out.File
	file_paquetes_proto_rawDesc = nil
	file_paquetes_proto_goTypes = nil
	file_paquetes_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// PaquetesLogisticaServiceClient is the client API for PaquetesLogisticaService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type PaquetesLogisticaServiceClient interface {
	SayHello(ctx context.Context, in *PaqueteLogistica, opts ...grpc.CallOption) (*PaqueteLogistica, error)
	ListaEnvio(ctx context.Context, in *PaqueteLogistica, opts ...grpc.CallOption) (*PaqueteLogistica, error)
}

type paquetesLogisticaServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewPaquetesLogisticaServiceClient(cc grpc.ClientConnInterface) PaquetesLogisticaServiceClient {
	return &paquetesLogisticaServiceClient{cc}
}

func (c *paquetesLogisticaServiceClient) SayHello(ctx context.Context, in *PaqueteLogistica, opts ...grpc.CallOption) (*PaqueteLogistica, error) {
	out := new(PaqueteLogistica)
	err := c.cc.Invoke(ctx, "/paquetes.PaquetesLogisticaService/SayHello", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *paquetesLogisticaServiceClient) ListaEnvio(ctx context.Context, in *PaqueteLogistica, opts ...grpc.CallOption) (*PaqueteLogistica, error) {
	out := new(PaqueteLogistica)
	err := c.cc.Invoke(ctx, "/paquetes.PaquetesLogisticaService/ListaEnvio", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// PaquetesLogisticaServiceServer is the server API for PaquetesLogisticaService service.
type PaquetesLogisticaServiceServer interface {
	SayHello(context.Context, *PaqueteLogistica) (*PaqueteLogistica, error)
	ListaEnvio(context.Context, *PaqueteLogistica) (*PaqueteLogistica, error)
}

// UnimplementedPaquetesLogisticaServiceServer can be embedded to have forward compatible implementations.
type UnimplementedPaquetesLogisticaServiceServer struct {
}

func (*UnimplementedPaquetesLogisticaServiceServer) SayHello(context.Context, *PaqueteLogistica) (*PaqueteLogistica, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SayHello not implemented")
}
func (*UnimplementedPaquetesLogisticaServiceServer) ListaEnvio(context.Context, *PaqueteLogistica) (*PaqueteLogistica, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListaEnvio not implemented")
}

func RegisterPaquetesLogisticaServiceServer(s *grpc.Server, srv PaquetesLogisticaServiceServer) {
	s.RegisterService(&_PaquetesLogisticaService_serviceDesc, srv)
}

func _PaquetesLogisticaService_SayHello_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PaqueteLogistica)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PaquetesLogisticaServiceServer).SayHello(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/paquetes.PaquetesLogisticaService/SayHello",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PaquetesLogisticaServiceServer).SayHello(ctx, req.(*PaqueteLogistica))
	}
	return interceptor(ctx, in, info, handler)
}

func _PaquetesLogisticaService_ListaEnvio_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PaqueteLogistica)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PaquetesLogisticaServiceServer).ListaEnvio(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/paquetes.PaquetesLogisticaService/ListaEnvio",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PaquetesLogisticaServiceServer).ListaEnvio(ctx, req.(*PaqueteLogistica))
	}
	return interceptor(ctx, in, info, handler)
}

var _PaquetesLogisticaService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "paquetes.PaquetesLogisticaService",
	HandlerType: (*PaquetesLogisticaServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "SayHello",
			Handler:    _PaquetesLogisticaService_SayHello_Handler,
		},
		{
			MethodName: "ListaEnvio",
			Handler:    _PaquetesLogisticaService_ListaEnvio_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "paquetes.proto",
}
